Subject: Re: GSoC draft proposal: Line-level history browser

From: Junio C Hamano <[email-masked]>
Date: Sat, 20 Mar 2010 13:57:56 -0700

Alex Riesen <[email-masked]> writes:

> On Sat, Mar 20, 2010 at 10:18, Bo Yang <[email-masked]> wrote:
>> <line range>
>> Its format should be <start pos>..<end pos> or just a <line number>.
>
> You might want to reconsider the line range syntax. Exactly the same syntax
> is already used to specify a commit range, so reusing it may lead to confusion.

I would actually recommend you take a look at -L option from blame.  What
I use most often and find very handy myself is this pattern:

	blame -L '/^void some_function()/,/^}/' -- path

as I do not have to count the line numbers.

There also was a discussion on allowing more than one -L to blame, which I
think is applicable to this feature.  Check the list archive for the past
few months.